Subject: Re: [PATCHv3 net-next] sched: multicast sched extack messages

From: Jakub Kicinski <[email-masked]>
Date: Wed, 4 Jan 2023 20:01:13 -0800

On Wed,  4 Jan 2023 17:16:08 +0800 Hangbin Liu wrote:
> In commit 81c7288b170a ("sched: cls: enable verbose logging") Marcelo
> made cls could log verbose info for offloading failures, which helps
> improving Open vSwitch debuggability when using flower offloading.
> 
> It would also be helpful if userspace monitor tools, like "tc monitor",
> could log this kind of message, as it doesn't require vswitchd log level
> adjusment. Let's add a new function to report the extack message so the
> monitor program could receive the failures. e.g.

If you repost this ever again please make sure you include my tag:

Nacked-by: Jakub Kicinski <[email-masked]>

I explained to you at least twice why this is a terrible idea,
and gave you multiple alternatives.